## libedit 2.11

=== libedit/TEST/Makefile ===
# $NetBSD: Makefile,v 1.3 2006/08/31 20:20:38 rpaulo Exp $

NOMAN=1
PROG=tc1
CPPFLAGS=-I${.CURDIR}/..
LDADD+=-ledit -ltermcap
DPADD+=${LIBEDIT} ${LIBTERMCAP}

.ifdef DEBUG
CPPFLAGS+=-DDEBUG
.endif

.include <bsd.prog.mk>
