## libedit 2.11-20080614

=== debian/changelog ===
libedit (2.11-20080614-5ubuntu1) raring; urgency=low

  * Fix cross-building: set RANLIB as well as CC/LD, and set MACHINE_ARCH
    and MACHINE_MULTIARCH correctly to allow for use of a foreign pmake
    binary.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 02 Dec 2012 00:47:07 +0000

libedit (2.11-20080614-5) unstable; urgency=low

  * Add LDFLAGS hardening flags to PMAKE_ARGS
    Patch by Simon Ruderich
    Closes: #675404 

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 01 Jun 2012 10:10:48 +1000

libedit (2.11-20080614-4) unstable; urgency=low

  * Merge 2.11-20080614-3ubuntu2 
    - Fix libdir in libedit.pc to match multiarch installation paths.
    - libedit/tty.c: grabs controlling terminal even when output is a non
      tty, causing things like php | less to mis-function. Patch changes
      this behavior to work more like readline. (LP: #322214)
  * debian/control: Don't use the Vcs-Browser field
    Closes: #534514
  * Link against libtinfo rather than libncurses
    Patch by Sven Joachim
    Closes: #644421
  * Remove <libedit/vis.h>
    Closes: #675147
  * Standards-Version is 3.9.3
  * DH compatibility is 9
  * Enable hardening

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 31 May 2012 13:56:17 +1000

libedit (2.11-20080614-3ubuntu2) precise; urgency=low

  * Fix libdir in libedit.pc to match multiarch installation paths.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 02 Apr 2012 01:03:33 +0100

libedit (2.11-20080614-3ubuntu1) precise; urgency=low

  * libedit/tty.c: grabs controlling terminal even when output is a non
    tty, causing things like php | less to mis-function. Patch changes
    this behavior to work more like readline. (LP: #322214)

 -- Clint Byrum <clint@ubuntu.com>  Wed, 26 Jan 2011 13:04:09 -0800

libedit (2.11-20080614-3) unstable; urgency=low

  * Don't leak curses library through the pkg-config file
    Patch by Guillem Jover
    Closes: 534515
  * Source format is 3.0 (quilt)
  * Standards-Version is 3.9.2
  * Fix debhelper-but-no-misc-depends
  * Fix debian-rules-missing-recommended-target
  * Update homepage

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 28 Aug 2011 11:01:03 +1000

libedit (2.11-20080614-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix a regression in the previous NMU: the pkgconfig file has gone
    missing, add it back in.

 -- Steve Langasek <vorlon@debian.org>  Wed, 17 Aug 2011 07:49:54 +0000

libedit (2.11-20080614-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/fix_gcc_warnings.diff: fix warnings about deprecated
    headers.  Closes: #634324.
  * debian/rules: don't double-link .so files twice into the library.
    Closes: #628679.
  * debian/rules: cope with pmake switching us to multiarch automatically.
  * debian/control: since the package is already multiarched for us by pmake,
    mark it as such and bump build-dependencies on debhelper and pmake to
    suit.

 -- Steve Langasek <vorlon@debian.org>  Wed, 17 Aug 2011 00:05:33 +0000

libedit (2.11-20080614-2) unstable; urgency=high

  * libedit2.shlibs: Fix minimal dependency version 
    Patch by Agustin Martin
    Closes: 523260 

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 21 Sep 2010 12:24:54 +1000

libedit (2.11-20080614-1) unstable; urgency=low

  * Fix typo in 03-el.c-MAXPATHLEN.diff 
  * Standards version is 3.8.2
  * Use libbsd
    Patch by Guillem Jover
    Closes: 513027

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 22 Jun 2009 11:55:49 +1000

libedit (2.11~20080614-2) unstable; urgency=low

  * Merge with Ubuntu 
    - debian/patches/20-fortify.patch: handle error conditions found
      by -D_FORTIFY_SOURCE=2; closes: #488456
  * Suggests libbsd0; closes: #513027
  * Support crossbuilding; closes: #489846, #489847
  * Homepage is
    http://ftp.netbsd.org/pub/NetBSD/NetBSD-release-5-0/src/lib/libedit/
  * Standards version is 3.8.1
  * debhelper compatibility is 7

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 22 May 2009 10:29:58 +1000

libedit (2.11~20080614-1ubuntu1) intrepid; urgency=low

  * debian/patches/20-fortify.patch: handle error conditions found
    by -D_FORTIFY_SOURCE=2.

 -- Kees Cook <kees@ubuntu.com>  Sat, 28 Jun 2008 17:59:27 -0700

libedit (2.11~20080614-1) unstable; urgency=low

  * Update sources from CVS repo; closes: #478922
  * Depend on quilt and rename all patches
  * Remove patch code from debian/rules; closes: #484401
  * Provide vis.h; closes: #357594
  * Update debian/coyright
  * Let dh_makeshlibs create libedit2.postrm libedit2.postinst
  * Priority of libedit2 is standard
  * Standards version is 3.8.0
  * Patches:
    Remove 09-export_completion_matches.diff
      It won't compile with this patch:
      rl_completion_matches defined twice
    Add 10-define_SIZE_T_MAX.diff
      Define SIZE_T_MAX as UINT_MAX in limits.h
    Add 11-357594-vis.h.diff
      Minor adaptation for Glibc by Robert Millan <rmh@aybabtu.com>
    Add 12-libedit-Makefile.diff
      Without it I get the following message:
      make: ${_MKTARGET_CREATE} expands to empty string
    Add 13-symbol_not_found.diff by Anibal Monsalve Salazar
      Without it I get the following messages:
      symbol strlcpy/strlcat not found in none of the libraries

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 14 Jun 2008 17:13:08 +1000

libedit (2.9.cvs.20050518-4) unstable; urgency=low

  * New pkgconfig file. Patch by Matthieu Gallien <matthieu_gallien@yahoo.fr>
    Closes: #420813.
  * Fix the following lintian issues:
    W: libedit source: debian-rules-sets-DH_COMPAT line 7
    W: libedit source: package-uses-deprecated-debhelper-compat-version 2
    W: libedit source: substvar-source-version-is-deprecated libedit-dev

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 07 Aug 2007 18:53:29 +1000

libedit (2.9.cvs.20050518-3) unstable; urgency=low

  * New maintainer.
  * ACKed NMU. Closes: #318843.
  * Standards-Version: 3.7.2.

