=== debian/control ===
Source: libedit
Section: libs
Priority: standard
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), pmake (>= 1.45-8),
 groff-base, libbsd-dev (>= 0.1.3), libncurses5-dev (>= 5.9-2), bsdmainutils
Standards-Version: 3.9.3
#Vcs-Browser: http://cvsweb.netbsd.org/bsdweb.cgi/src/lib/libedit/
Homepage: http://ftp.netbsd.org/pub/NetBSD/NetBSD-current/src/lib/libedit/

Package: libedit2
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: BSD editline and history libraries
 The editline library provides generic line editing and
 history functions.
 .
 It slightly resembles GNU readline

Package: libedit-dev
Section: libdevel
Priority: optional
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libedit2 (= ${binary:Version}),
 libbsd-dev (>= 0.1.3), libtinfo-dev
Description: BSD editline and history libraries (development files)
 The editline library provides generic line editing and
 history functions.
 .
 It slightly resembles GNU readline
