## libedit 3.1-20130712

=== debian/changelog ===
libedit (3.1-20130712-2) unstable; urgency=low

  * Fix the co installation problem with libeditline-dev (Closes: #720636)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 27 Aug 2013 15:55:26 +0200

libedit (3.1-20130712-1) unstable; urgency=low

  * Upload to unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 23 Aug 2013 11:09:13 +0200

libedit (3.1-20130712-1~exp3) experimental; urgency=low

  * Fix the FTBFS under HURD. Thanks to Pino Toscano (Closes: #719800)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 15 Aug 2013 16:09:35 +0200

libedit (3.1-20130712-1~exp2) experimental; urgency=low

  * Use system functions instead of embeded's (Closes: #718721)
  * Remove deprecated fix_gcc_warnings.diff
  * Remove useless 01-Makefile.diff
  * Thanks to Guillem Jover for these 3 fixes

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 05 Aug 2013 10:15:59 +0200

libedit (3.1-20130712-1~exp1) experimental; urgency=low

  * New upstream release (20130611-3.1)
    - Thanks to their switch to the autotools, we can use a simple dh helper
    (Closes: #579729)
  * Move package maintenance as a collab-maint git project
  * Install manpages (including editrc). (Closes: #612826)
  * Add of the Vcs tags
  * Update of the homepage (Closes: #715017)
  * Add watch file (Closes: #715018)
  * Add a symbol file for libedit:
    1) Created a symbol file from the 2.11-20080614-6 release
    2) Update of the symbol file from this release
    3) Remove the -X version
  * Add myself among the uploaders and change the maintainer to the
    pkg-llvm team
  * Use upstream libedit.pc
  * Update of the description

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 07 Jul 2013 12:49:25 +0200

libedit (2.11-20080614-6) unstable; urgency=low

  * Merge 2.11-20080614-5ubuntu1
    Fix cross-building: set RANLIB as well as CC/LD, and set MACHINE_ARCH
    and MACHINE_MULTIARCH correctly to allow for use of a foreign pmake
    binary.  Closes: #694910
  * Standards Version is 3.9.4

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 06 Jun 2013 10:51:40 +1000
