=== debian/control ===
Source: libedit
Section: libs
Priority: standard
Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
Uploaders: Anibal Monsalve Salazar <anibal@debian.org>, Sylvestre Ledru <sylvestre@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), dh-autoreconf,
 pkg-config,
 groff-base, libbsd-dev (>= 0.1.3), libncurses5-dev (>= 5.9-2), bsdmainutils
Standards-Version: 3.9.4
Vcs-Git: git://git.debian.org/collab-maint/libedit.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libedit.git;a=summary
Homepage: http://www.thrysoee.dk/editline/

Package: libedit2
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: BSD editline and history libraries
 Command line editor library provides generic line editing,
 history, and tokenization functions.
 .
 It slightly resembles GNU readline

Package: libedit-dev
Section: libdevel
Priority: optional
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libedit2 (= ${binary:Version}),
 libbsd-dev (>= 0.1.3), libtinfo-dev
Description: BSD editline and history libraries (development files)
 Command line editor library provides generic line editing,
 history, and tokenization functions.
 .
 It slightly resembles GNU readline


Package: libedit2-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libedit2 (= ${binary:Version})
Description: BSD editline and history libraries (debug package)
 Command line editor library provides generic line editing,
 history, and tokenization functions.
 .
 It slightly resembles GNU readline
