=== debian/rules ===
#!/usr/bin/make -f
# The previous build system was using pmake
# The current autoconf. That makes our life way easier

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --disable-silent-rules

override_dh_strip:
	dh_strip --dbg-package=libedit2-dbg
