## libedit 3.1-20150325

=== debian/changelog ===
libedit (3.1-20150325-1ubuntu2) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 12:46:27 +0000

libedit (3.1-20150325-1ubuntu1) wily; urgency=medium

  * debian/patches/libbsd.patch: use LIBS instead of LDFLAGS.
    (LP: #1479474, Closes: 794009)

 -- Tiago Stürmer Daitx <tiago.daitx@canonical.com>  Wed, 29 Jul 2015 14:33:31 -0300

libedit (3.1-20150325-1) unstable; urgency=medium

  * New upstream release
  * Upload to unstable
  * Update of the symbol file
    (ct_conv_cbuff_resize & ct_conv_wbuff_resize introduced)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 28 Apr 2015 09:53:42 +0200

libedit (3.1-20141030-1~exp2) experimental; urgency=medium

  * Fix a conflict on libedit manpage (Closes: #774972)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 12 Jan 2015 08:58:58 +0100

libedit (3.1-20141030-1~exp1) experimental; urgency=medium

  * New upstream release
  * Update the symbol file (two new symbols)
  * Standards-Version updated to 3.9.6

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 14 Nov 2014 11:13:53 +0100

libedit (3.1-20140620-2) unstable; urgency=medium

  * Upload in unstable with the UTF-8 changes.
    In theory, this should be painless because it just adds new symbols.

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 10 Aug 2014 17:51:57 +0200

libedit (3.1-20140620-2~exp1) experimental; urgency=medium

  * Fix rl_callback_read_char() (Closes: #754045)
  * Really enable UTF-8 (Closes: #756736, #737786)
    (LP: #816758) and update the symbols

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 07 Jul 2014 10:14:34 +0200

libedit (3.1-20140620-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 06 Jul 2014 19:03:56 +0200

libedit (3.1-20140213-1) unstable; urgency=medium

  * Upload to unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 12 Mar 2014 15:19:30 +0100

libedit (3.1-20140213-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 19 Feb 2014 12:55:46 +0100

libedit (3.1-20130712-3~exp1) experimental; urgency=low

  * Add option --enable-widec to get UTF-8 support (Closes: #737786)
    (LP: #816758, #1276836)
  * Fix the description (Closes: #722083)
  * Standards-Version updated to 3.9.5

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 07 Feb 2014 15:55:26 +0200
