=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: libedit
 Section: libs
 Priority: standard
-Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
 Uploaders: Anibal Monsalve Salazar <anibal@debian.org>, Sylvestre Ledru <sylvestre@debian.org>
 Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), dh-autoreconf,
  pkg-config,
  groff-base, libbsd-dev (>= 0.1.3), libncurses5-dev (>= 5.9-2), bsdmainutils
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Vcs-Git: git://git.debian.org/collab-maint/libedit.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libedit.git;a=summary
 Homepage: http://www.thrysoee.dk/editline/
@@ -21,7 +22,7 @@
  Command line editor library provides generic line editing,
  history, and tokenization functions.
  .
- It slightly resembles GNU readline
+ It slightly resembles GNU readline.
 
 Package: libedit-dev
 Section: libdevel
@@ -34,7 +35,7 @@
  Command line editor library provides generic line editing,
  history, and tokenization functions.
  .
- It slightly resembles GNU readline
+ It slightly resembles GNU readline.
 
 
 Package: libedit2-dbg
@@ -47,4 +48,4 @@
  Command line editor library provides generic line editing,
  history, and tokenization functions.
  .
- It slightly resembles GNU readline
+ It slightly resembles GNU readline.
