## libedit 3.1-20160903

=== debian/changelog ===
libedit (3.1-20160903-3) unstable; urgency=medium

  * Fix the wrong links to the manpage (Closes: #851700)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 18 Jan 2017 13:23:36 +0100

libedit (3.1-20160903-2) unstable; urgency=medium

  * Add libncurses5-dev as a dependency of libedit-dev (Closes: #844573)
    Now officially required by upstream
  * Fix the vcs fields

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 21 nov 2016 16:20:15 +0100

libedit (3.1-20160903-1) unstable; urgency=medium

  * Upload to unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 09 Nov 2016 20:42:38 +0100

libedit (3.1-20160903-1~exp1) experimental; urgency=medium

  * New upstream release
    Two new symbols:
      - history_list
      - history_offset

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 01 Nov 2016 15:53:02 +0100

libedit (3.1-20160618-1~exp1) experimental; urgency=medium

  * New upstream release
  * Upstream moved many symbols as private. Because 236 are now missing,
    I am concerned about potential regressions even if upstream
    didn't bump the soname
  * Fix: Libraries must be added to LIBS instead of LDFLAGS
    (Closes: #794009)
  * Standards-Version updated 3.9.8

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 25 Jun 2016 23:23:46 +0200
