## libedit 3.1-20160903-3

=== debian/changelog ===
libedit (3.1-20160903-3-1) unstable; urgency=medium

  * build for dilos

 -- Igor Kozhukhov <igor@dilos.org>  Sun, 05 Feb 2017 10:39:52 +0300
