=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: libedit
 Section: libs
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
+Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
 Uploaders: Anibal Monsalve Salazar <anibal@debian.org>, Sylvestre Ledru <sylvestre@debian.org>
 Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), dh-autoreconf,
  pkg-config,
  groff-base, libbsd-dev (>= 0.1.3), libncurses5-dev (>= 5.9-2), bsdmainutils
-Standards-Version: 3.9.6
-Vcs-Git: git://git.debian.org/collab-maint/libedit.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libedit.git;a=summary
+Standards-Version: 3.9.8
+Vcs-Git: git://anonscm.debian.org/collab-maint/libedit.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libedit.git/
 Homepage: http://www.thrysoee.dk/editline/
 
 Package: libedit2
@@ -29,8 +28,10 @@
 Priority: optional
 Architecture: any
 Multi-Arch: same
+#Depends: ${misc:Depends}, libedit2 (= ${binary:Version}),
+# libbsd-dev (>= 0.1.3), libtinfo-dev, libncurses5-dev
 Depends: ${misc:Depends}, libedit2 (= ${binary:Version}),
- libbsd-dev (>= 0.1.3), libtinfo-dev
+ libtinfo-dev, libncurses5-dev
 Description: BSD editline and history libraries (development files)
  Command line editor library provides generic line editing,
  history, and tokenization functions.
@@ -41,7 +42,7 @@
 Package: libedit2-dbg
 Section: debug
 Priority: extra
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends}, libedit2 (= ${binary:Version})
 Description: BSD editline and history libraries (debug package)
