=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), dh-autoreconf,
  pkg-config,
  groff-base, libbsd-dev (>= 0.1.3), libncurses5-dev (>= 5.9-2), bsdmainutils
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Git: git://anonscm.debian.org/collab-maint/libedit.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libedit.git/
 Homepage: http://www.thrysoee.dk/editline/
@@ -28,10 +28,8 @@
 Priority: optional
 Architecture: any
 Multi-Arch: same
-#Depends: ${misc:Depends}, libedit2 (= ${binary:Version}),
-# libbsd-dev (>= 0.1.3), libtinfo-dev, libncurses5-dev
 Depends: ${misc:Depends}, libedit2 (= ${binary:Version}),
- libtinfo-dev, libncurses5-dev
+ libbsd-dev (>= 0.1.3), libtinfo-dev, libncurses5-dev
 Description: BSD editline and history libraries (development files)
  Command line editor library provides generic line editing,
  history, and tokenization functions.
@@ -42,7 +40,7 @@
 Package: libedit2-dbg
 Section: debug
 Priority: extra
-Architecture: linux-any
+Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, libedit2 (= ${binary:Version})
 Description: BSD editline and history libraries (debug package)
