=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	mv doc/editline.3.roff doc/editline.3edit.roff
 
 override_dh_strip:
-#	dh_strip --dbg-package=libedit2-dbg
+	dh_strip --dbg-package=libedit2-dbg
 
 override_dh_installdeb:
 	dh_installdeb
