=== debian/watch ===
version=3
opts=uversionmangle=s/(.*)-(.*)/$2-$1/ \
http://www.thrysoee.dk/editline/ libedit-(.*).tar.gz
