## libedit 3.1-20180525

=== debian/changelog ===
libedit (3.1-20180525-1) unstable; urgency=medium

  * New upstream release
    - New symbols:
      append_history
      rl_did_startup_hook
      rl_resize_terminal
  * Standards-Version updated 4.1.3
  * Package moved on salsa
  * libedit2-dbg moved to extra
  * Ship examples/ in libedit-dev

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 30 May 2018 11:08:31 +0200
