=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), dh-autoreconf,
  pkg-config,
  groff-base, libbsd-dev (>= 0.1.3), libncurses5-dev (>= 5.9-2), bsdmainutils
-Standards-Version: 4.0.0
-Vcs-Git: git://anonscm.debian.org/collab-maint/libedit.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libedit.git/
+Standards-Version: 4.1.3
+Vcs-Git: https://salsa.debian.org/debian/libedit.git
+Vcs-Browser: https://salsa.debian.org/debian/libedit
 Homepage: http://www.thrysoee.dk/editline/
 
 Package: libedit2
@@ -39,7 +39,7 @@
 
 Package: libedit2-dbg
 Section: debug
-Priority: extra
+Priority: optional
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, libedit2 (= ${binary:Version})
