=== debian/control ===
Source: libedit
Section: libs
Priority: optional
Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
Uploaders:
 Anibal Monsalve Salazar <anibal@debian.org>,
 Sylvestre Ledru <sylvestre@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper (>= 11),
 pkg-config,
 groff-base,
 libbsd-dev (>= 0.1.3),
 libncurses-dev | libtinfo-dev,
 bsdmainutils,
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/debian/libedit.git
Vcs-Browser: https://salsa.debian.org/debian/libedit
Homepage: https://www.thrysoee.dk/editline/

Package: libedit2
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Replaces:
# Due to editrc(5) takeover.
 libedit-dev (<< 3.1-20180525-2~),
Description: BSD editline and history libraries
 Command line editor library provides generic line editing,
 history, and tokenization functions.
 .
 It slightly resembles GNU readline.

Package: libedit-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 libedit2 (= ${binary:Version}),
 libbsd-dev (>= 0.1.3),
 libncurses-dev | libtinfo-dev,
Description: BSD editline and history libraries (development files)
 Command line editor library provides generic line editing,
 history, and tokenization functions.
 .
 It slightly resembles GNU readline.
