## libedit 3.1-20190324

=== debian/changelog ===
libedit (3.1-20190324-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 02 Apr 2019 12:06:41 +0200
