=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libedit
 Section: libs
 Priority: optional
-Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
 Uploaders:
  Anibal Monsalve Salazar <anibal@debian.org>,
  Sylvestre Ledru <sylvestre@debian.org>,
