## libedit 3.1-20221030

=== debian/changelog ===
libedit (3.1-20221030-2) unstable; urgency=medium

  * Add a DEP-8 test exercising some of the functionality of libedit.

 -- John Scott <jscott@posteo.net>  Mon, 21 Nov 2022 04:51:57 -0500

libedit (3.1-20221030-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 02 Nov 2022 23:47:14 +0100

libedit (3.1-20221009-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 15 Oct 2022 21:57:30 +0200
