=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libedit
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
+Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
 Uploaders:
  Anibal Monsalve Salazar <anibal@debian.org>,
  Sylvestre Ledru <sylvestre@debian.org>,
@@ -20,7 +19,6 @@
 Homepage: https://www.thrysoee.dk/editline/
 
 Package: libedit2
-Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends:
